Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 588849 - knetworkmanager does not re-connect to NetworkManager
Summary: knetworkmanager does not re-connect to NetworkManager
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-plasma-networkmanagement
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-04 17:43 UTC by Orion Poplawski
Modified: 2010-10-09 18:21 UTC (History)
3 users (show)

Fixed In Version: 0.9-0.25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-09 18:21:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 221393 None None None Never

Description Orion Poplawski 2010-05-04 17:43:18 UTC
Description of problem:

It NetworkManager is restarted, knetworkmanager shows "Networking information is not available" and never re-connects.

Version-Release number of selected component (if applicable):
knetworkmanager-0.9-0.19.20100419.fc13.i686

Comment 1 Rex Dieter 2010-05-04 17:59:16 UTC
OK, though restarting the nm service has always been one of those things I usually recommend:  don't do that!

(yes, I know NetworkManager-gnome aka nm-applet gracefully handles this situation... and knm probably should too).

In short, this is a feature request best sent upstream.

Comment 2 Orion Poplawski 2010-05-04 20:15:54 UTC
I've commented in the upstream bug.  Perhaps not quite the same thing, but related.

Comment 3 Fedora Admin XMLRPC Client 2010-09-11 23:52:03 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Rex Dieter 2010-09-27 16:43:48 UTC
I can confirm this works with 
kde-plasma-networkmanagement-0.9-0.25

Comment 5 Orion Poplawski 2010-09-27 17:26:46 UTC
Appears to reconnect fine with knetworkmanager-0.9-0.22.20100830.fc13.kde45.i686 too.


Note You need to log in before you can comment on or make changes to this bug.